Bug 887750 - Review Request: lv2-fomp-plugins - a collection of LV2 plugins ported from LADSPA
Summary: Review Request: lv2-fomp-plugins - a collection of LV2 plugins ported from LA...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FedoraAudio
TreeView+ depends on / blocked
 
Reported: 2012-12-17 08:51 UTC by Brendan Jones
Modified: 2013-02-24 08:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-17 18:09:41 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brendan Jones 2012-12-17 08:51:59 UTC
Fomp is an LV2 port of the MCP, VCO, FIL, and WAH plugins by Fons Adriaensen.

There are 13 plugins in total: 1 auto-wah, 1 EQ, 3 chorus, 5 filters, and 3
oscillators.

The plugin implementations are identical to their LADSPA forebears, except
the primary frequency port of oscillators and filters has been converted to
Hz to facilitate use in any host without assuming the hidden tuning frequency
of AlsaModularSynth. All other frequency ports remain as they were, using
octaves for faithful Moog-like modulation.

SRPM: http://bsjones.fedorapeople.org/reviews/lv2-fomp-plugins-1.0.0-1.fc18.src.rpm
SPEC: http://bsjones.fedorapeople.org/reviews/lv2-fomp-plugins.spec


RPMLINT (upstream has been notified of FSF address)

Checking: lv2-fomp-plugins-1.0.0-1.fc19.src.rpm
          lv2-fomp-plugins-1.0.0-1.fc19.x86_64.rpm
          lv2-fomp-plugins-debuginfo-1.0.0-1.fc19.x86_64.rpm
lv2-fomp-plugins.src: W: spelling-error %description -l en_US wah -> haw, wag, ah
lv2-fomp-plugins.x86_64: W: spelling-error %description -l en_US wah -> haw, wag, ah
lv2-fomp-plugins.x86_64: E: incorrect-fsf-address /usr/share/doc/lv2-fomp-plugins-1.0.0/COPYING
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/blvco.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/mvclpf24_lv2.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/mvclpf24.h
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/cs_phaser.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/cs_chorus_lv2.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/autowah.h
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/mvchpf24.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/cs_chorus.h
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/cs_phaser_lv2.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/cs_phaser.h
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/mvclpf24.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/filters.h
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/filters.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/autowah_lv2.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/plugin_lv2.h
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/mvchpf24.h
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/exp2ap.h
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/blvco.h
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/autowah.cc
lv2-fomp-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fomp-1.0.0/src/filters_lv2.cc

Comment 1 Mamoru TASAKA 2013-02-02 18:59:28 UTC
Taking.

Comment 2 Mamoru TASAKA 2013-02-06 06:41:34 UTC
Well, packaging is simple.

One point: the source tarball is named as fomp-1.0.0.tar.bz2, so it seems that this srpm should be named as lv2-fomp, not lv2-fomp-plugins (as you use "lv2-newtonator" on bug 887769)

Comment 3 Brendan Jones 2013-02-06 06:53:51 UTC
This is a standard we use for when the lv2 package contains more than one or a set of lv2 plugins

lv2-newtonator is just one.

I will attend to these and yours hopefully tonight (unexpected work risis)

thanks

Comment 4 Mamoru TASAKA 2013-02-08 03:42:50 UTC
Okay, then

* source matches the upstream
* spec file clean
* actually builds, can be installed

No blockers

---------------------------------------------------------------
    This package (lv2-fomp-plugins) is APPROVED by mtasaka
---------------------------------------------------------------

Comment 5 Brendan Jones 2013-02-09 06:55:28 UTC
New Package SCM Request
=======================
Package Name: lv2-fomp-plugins
Short Description: A collection of LV2 plugins
Owners: bsjones
Branches: f17 f18

Comment 6 Gwyn Ciesla 2013-02-09 20:38:50 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-02-11 20:46:02 UTC
lv2-fomp-plugins-1.0.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lv2-fomp-plugins-1.0.0-1.fc18

Comment 8 Fedora Update System 2013-02-11 20:46:16 UTC
lv2-fomp-plugins-1.0.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lv2-fomp-plugins-1.0.0-1.fc17

Comment 9 Fedora Update System 2013-02-13 04:32:43 UTC
lv2-fomp-plugins-1.0.0-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Mamoru TASAKA 2013-02-17 18:09:41 UTC
Closing.

Comment 11 Fedora Update System 2013-02-24 08:35:14 UTC
lv2-fomp-plugins-1.0.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2013-02-24 08:39:50 UTC
lv2-fomp-plugins-1.0.0-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.